# Uses of Class
org.apache.lucene.util.WeakIdentityMap

Packages that use WeakIdentityMap
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of WeakIdentityMap in org.apache.lucene.util

  Methods in org.apache.lucene.util that return WeakIdentityMap
  Modifier and Type
  Method
  Description
  `static <K, V> WeakIdentityMap<K,V>`
  WeakIdentityMap.`newConcurrentHashMap()`
  Creates a new `WeakIdentityMap` based on a `ConcurrentHashMap`.
  `static <K, V> WeakIdentityMap<K,V>`
  WeakIdentityMap.`newConcurrentHashMap(boolean reapOnRead)`
  Creates a new `WeakIdentityMap` based on a `ConcurrentHashMap`.
  `static <K, V> WeakIdentityMap<K,V>`
  WeakIdentityMap.`newHashMap()`
  Creates a new `WeakIdentityMap` based on a non-synchronized `HashMap`.
  `static <K, V> WeakIdentityMap<K,V>`
  WeakIdentityMap.`newHashMap(boolean reapOnRead)`
  Creates a new `WeakIdentityMap` based on a non-synchronized `HashMap`.